--- old/build/python-pyrex/build.sh	Mon Jan  9 12:11:37 2017
+++ new/build/python-pyrex/build.sh	Mon Jan  9 12:11:37 2017
@@ -32,27 +32,9 @@
 SUMMARY="Pyrex - a Language for Writing Python Extension Modules"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
-PKG=library/python-2/pyrex-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-# XXX KEBE SAYS FIX ME...
-mv $DESTDIR/usr/bin/pyrexc $DESTDIR/usr/bin/pyrexc2.6
-ln -s ./pyrexc2.6 $DESTDIR/usr/bin/pyrexc
-strip_install -x
-make_package
-clean_up
-
-set_python_version 2.7
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 PKG=library/python-2/pyrex-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -60,11 +42,8 @@
 patch_source
 prep_build
 python_build
-# XXX KEBE SAYS FIX ME...
 mv $DESTDIR/usr/bin/pyrexc $DESTDIR/usr/bin/pyrexc2.7
 ln -s ./pyrexc2.7 $DESTDIR/usr/bin/pyrexc
 strip_install -x
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:37 2017
+++ new/build/python-setuptools/26-obsolete.p5m	Mon Jan  9 12:11:37 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/setuptools-26@0.6.11-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-setuptools/build.sh	Mon Jan  9 12:11:37 2017
+++ new/build/python-setuptools/build.sh	Mon Jan  9 12:11:37 2017
@@ -32,27 +32,10 @@
 SUMMARY="setuptools - yet another python packaging requirement"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
-RUN_DEPENDS_IPS="runtime/python-26"
-PKG=library/python-2/setuptools-26
-init
-prep_build
-mkdir -p $DESTDIR/usr/lib/python2.6/vendor-packages
-PYTHONPATH=$DESTDIR/usr/lib/python2.6/vendor-packages \
-    python2.6 ez_setup.py --always-copy \
-        --install-dir $DESTDIR/usr/lib/python2.6/vendor-packages/ \
-        setuptools
-make_package
-clean_up
-
-set_python_version 2.7
-XFORM_ARGS="-D PYTHONVER=$PYTHONVER"
 RUN_DEPENDS_IPS="runtime/python-27"
 PKG=library/python-2/setuptools-27
 init
@@ -64,5 +47,3 @@
         setuptools
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:37 2017
+++ new/build/python-simplejson/26-obsolete.p5m	Mon Jan  9 12:11:37 2017
@@ -0,0 +1,2 @@
+set name=pkg.fmri value=library/python-2/simplejson-26@3.8.2-@PVER@
+set name=pkg.obsolete value=true
--- old/build/python-simplejson/build.sh	Mon Jan  9 12:11:37 2017
+++ new/build/python-simplejson/build.sh	Mon Jan  9 12:11:37 2017
@@ -29,26 +29,12 @@
 
 PROG=simplejson
 VER=3.8.2
-SUMMARY="simplejson - Python interface to JSON for Python 2.6"
+SUMMARY="simplejson - Python interface to JSON for Python 2.7"
 DESC="$SUMMARY"
 
-# Pardon the copy/paste, but we have to do this twice (2.6 & 2.7) for now.
-# And the only way buildctl detects packages is by grepping for PKG assignment.
-
-OLDPV=$PYTHONVER
-
-set_python_version 2.6
-PKG=library/python-2/simplejson-26
-RUN_DEPENDS_IPS="runtime/python-26"
-init
-download_source $PROG $PROG $VER
-patch_source
-prep_build
-python_build
-make_package
-clean_up
-
-set_python_version 2.7
+# In the future when we upgrade python again, be sure to wrap the following
+# around with set_python_version and reassign PKG and RUN_DEPENDS_IPS.
+# The only way buildctl detects packages is by grepping for PKG assignment.
 PKG=library/python-2/simplejson-27
 RUN_DEPENDS_IPS="runtime/python-27"
 init
@@ -58,5 +44,3 @@
 python_build
 make_package
 clean_up
-
-set_python_version $OLDPV
--- /dev/null	Mon Jan  9 12:11:38 2017
+++ new/build/python27/26-obsolete.p5m	Mon Jan  9 12:11:38 2017
@@ -0,0 +1,5 @@
+set name=pkg.fmri value=runtime/python-26@2.6.8-@PVER@
+set name=pkg.renamed value=true
+set name=pkg.description value="Python 2.6 (obsolete)"
+set name=pkg.summary value="Python 2.6 (obsolete)"
+depend fmri=runtime/python-27 type=require
--- old/build/python27/build.sh	Mon Jan  9 12:11:38 2017
+++ new/build/python27/build.sh	Mon Jan  9 12:11:38 2017
@@ -114,8 +114,7 @@
         logerr "--- Make install failed"
     rm $DESTDIR/usr/bin/amd64/python || logerr "--- cannot remove arch hardlink"
     rm $DESTDIR/usr/lib/python2.7/config/libpython2.7.a || logerr "--- cannot remove static lib"
-    # XXX KEBE SAYS Uncomment me eventually...
-    # (cd $DESTDIR/usr/bin && ln -s python2.7 python) ||  logerr "--- could not setup python softlink"
+    (cd $DESTDIR/usr/bin && ln -s python2.7 python) ||  logerr "--- could not setup python softlink"
     # Copy off _sysconfigdata.py
     sed 's/^/    /g' < $DESTDIR/usr/lib/python2.7/_sysconfigdata.py > \
 	    /tmp/_sysconfigdata-64-$$.py
--- old/build/python27/local.mog	Mon Jan  9 12:11:39 2017
+++ new/build/python27/local.mog	Mon Jan  9 12:11:39 2017
@@ -1,29 +1,10 @@
 <transform file path=license$ -> drop>
 license license license=PSF
 
-# Drop some things for now because they conflict with still-in-use Python 2.6
-<transform file path=usr/bin/2to3 -> drop>
-<transform file path=usr/bin/idle -> drop>
-<transform file path=usr/bin/pydoc -> drop>
-<transform file path=usr/bin/python-config -> drop>
-<transform file path=usr/bin/python2-config -> drop>
-<transform file path=usr/bin/smtpd.py -> drop>
-<transform file path=usr/bin/i386/2to3 -> drop>
-<transform file path=usr/bin/i386/idle -> drop>
-<transform file path=usr/bin/i386/pydoc -> drop>
-<transform link path=usr/bin/i386/python-config -> drop>
-<transform file path=usr/bin/i386/python2-config -> drop>
-<transform file path=usr/bin/i386/smtpd.py -> drop>
-<transform file path=usr/bin/amd64/2to3 -> drop>
-<transform file path=usr/bin/amd64/idle -> drop>
-<transform file path=usr/bin/amd64/pydoc -> drop>
-<transform link path=usr/bin/amd64/python-config -> drop>
-<transform file path=usr/bin/amd64/python2-config -> drop>
-<transform file path=usr/bin/amd64/smtpd.py -> drop>
-<transform link path=usr/share/man/man1/python.1 -> drop>
-
 # Prevents pkgdepend from freaking out.
 
+<transform file path=usr/bin/amd64/smtpd.py -> set pkg.depend.bypass-generate .*>
+<transform file path=usr/bin/i386/smtpd.py -> set pkg.depend.bypass-generate .*>
 <transform file path=usr/lib/python2.7/lib2to3/tests/pytree_idempotency.py -> set pkg.depend.bypass-generate .*>
 <transform file path=usr/lib/python2.7/cProfile.py -> set pkg.depend.bypass-generate .*>
 <transform file path=usr/lib/python2.7/cgi.py -> set pkg.depend.bypass-generate .*>
--- old/build/swig/build.sh	Mon Jan  9 12:11:39 2017
+++ new/build/swig/build.sh	Mon Jan  9 12:11:39 2017
@@ -33,7 +33,7 @@
 SUMMARY="The Simplified Wrapper and Interface Generator (swig)"
 DESC="$SUMMARY"
 
-BUILD_DEPENDS_IPS="runtime/perl runtime/python-26"
+BUILD_DEPENDS_IPS="runtime/perl runtime/python-27"
 
 CONFIGURE_OPTS="--disable-ccache"
 
--- old/lib/config.sh	Mon Jan  9 12:11:39 2017
+++ new/lib/config.sh	Mon Jan  9 12:11:39 2017
@@ -98,7 +98,7 @@
 #############################################################################
 # Python -- NOTE, these can be changed at runtime via set_python_version().
 #############################################################################
-: ${PYTHONVER:=2.6}
+: ${PYTHONVER:=2.7}
 : ${PYTHONPKGVER:=`echo $PYTHONVER | sed 's/\.//g'`}
 PYTHONPATH=/usr
 PYTHON=$PYTHONPATH/bin/python$PYTHONVER
